Subject: Re: tar 1.15.1 broken
From: Alan Hourihane <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Thu, 27 Oct 2005 16:17:46 +0100

On Thu, 2005-10-27 at 06:27 -0600, Eric Blake wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> According to Alan Hourihane on 10/27/2005 3:30 AM:
> > Now, having upgraded everything to the latest releases things started to
> > go wrong with the packaging scripts.
> > 
> > tar started to bleat with "Cannot stat: No such file or directory" for
> > lots of different things.
> 
> Can you reproduce this down into a smaller test case?  Tar is only
> printing the error message it gets from calling stat(), so now we need to
> figure out if tar is passing bad information to stat() or if cygwin is
> having problems doing the stat().  If you can reproduce a smaller
> testcase, it might also help to run strace between the two versions to see
> what might have changed in the sequence of syscalls.
> 
> > 
> > I've reverted to tar 1.13.25 and everything is fine.
> > 
> > One other thing to note is that I'm building on a samba connected drive
> > if that matters to tar.
> 
> I don't have access to a samba drive myself, so if it IS drive related
> (although I am inclined to doubt that), it will be up to you to do a lot
> of the debugging effort.

O.k. I've found the problem.

This works with tar 1.13.25

tar cvjf test.tbz2 <files> --exclude=<file>

In 1.15.1 it mucks up parsing of --exclude=<file> and somehow later
tries to stat "--exclude=<file>" as being the complete filename. But
actually when it reports the "Cannot stat: No such file or directory"
message the filename is correct.

Moving --exclude=<file> to this...

tar --exclude=<file> -cvjf test.tbz2 <files>

makes it work.

Hope that helps,

Alan.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/